List Users
Fetch Users
curl --request GET \
--url https://api.siit.io/v1/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siit.io/v1/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.siit.io/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"count": 123,
"current_page": 123,
"next_page_link": "<string>",
"per_page": 20,
"previous_page_link": "<string>",
"total": 123
},
"results": [
{
"birthday_date": "2023-12-25",
"city": "<string>",
"contract_type": "contract",
"country": "<string>",
"employee_number": "<string>",
"first_name": "<string>",
"gender": "female",
"hire_date": "2023-12-25",
"job_leave_date": "2023-12-25",
"job_start_date": "2023-12-25",
"job_title": "<string>",
"last_name": "<string>",
"last_working_date": "2023-12-25",
"metadata": {},
"preferred_language": "<string>",
"probation_end_date": "2023-12-25",
"work_phone": "<string>",
"uid": "<string>",
"admin_permalink_url": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"department": "<string>",
"department_uid": "<string>",
"emails": [
"<string>"
],
"full_name": "<string>",
"legal_entity": "<string>",
"legal_entity_uid": "<string>",
"microsoft_entra_ids": [
"<string>"
],
"microsoft_entra_group_ids": [
"<string>"
],
"office_location": "<string>",
"office_location_uid": "<string>",
"report_to": "<string>",
"report_to_uid": "<string>",
"role_name": "owner",
"slack_user_id": "<string>",
"status": "employee",
"team_uids": [
"<string>"
],
"teams": [
"<string>"
],
"timezone": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Introduction
Notes:- Fields that are disabled or restricted will not be returned.
- Archived users are NOT returned by default.
Usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Fields to expand into full objects. Example: ?expand[]=assignee_admin&expand[]=tags
Free-text search across name and email addresses.
Filter by User's work emails.
Filter by User's personal email.
Filter by User's status.
alumni, employee, external, hired Filter by User's role.
owner, admin, it, hr, ops, finance, custom, user Only returns users with matcher employee_number.
Whether the response should include archived users.
Filter Users created after a DateTime (ISO 8601).
Filter Users created before a DateTime (ISO 8601).
Filter Users updated after a DateTime (ISO 8601).
Filter Users updated before a DateTime (ISO 8601).
Filter by exact metadata key/value pairs (e.g. ?metadata[environment]=production). Several pairs combine with AND.
Show child attributes
Show child attributes
The current page
Number of results retrieved per page.

